
import numpy as np

def adjust_intensity(image, factor = 0.5):
    """
    

    Parameters
    ----------
    image : TYPE array
        Input image which we are going to adjust the intensity.
    factor : TYPE float, optional
        Factor used to adjust the intensity.The default is 0.5.

    Returns
    -------
    adjusted : TYPE array
        Output image whose the intensity has been adjusted.

    """
    adjusted = np.uint8(np.clip(factor * image, 0, 255))
    return adjusted
