
import cv2

def apply_lowpass_filter(image, kernel_size=5, sigma=0):
    """
    

    Parameters
    ----------
    image : TYPE array
        Input image to filter.
    kernel_size : TYPE, optional
        Gaussian Kernel Size. The default is 5.
    sigma : TYPE, optional
        Kernel standard deviation along X-axis. The default is 0.

    Returns
    -------
    blurred : TYPE array
        Filtered output image.

    """
    blurred = cv2.GaussianBlur(image, (kernel_size, kernel_size), sigma)
    return blurred
