import cv2 as cv

def histogramme_gris(nom_img):
    """
    

    Parameters
    ----------
    nom_img : TYPE str
        Input image's name to histogram.

    Returns
    -------
    roihist : TYPE array
        It returns an array of histogram points of dtype float32.

    """
    img = cv.imread(nom_img,cv.IMREAD_GRAYSCALE)
    roihist = cv.calcHist([img],[0], None, [256], [ 0, 256] )
    return roihist