def recuperation_txt(file_path, characters_remove):
    """
    

    Parameters
    ----------
    file_path : TYPE str
        Path of the input data that we are going to retrieve.
    characters_remove : TYPE list of str
        List of all the characters we want to remove.

    Returns
    -------
    text : TYPE list
        List of the text in the file where all the characters from 
        characters_remove have been removed.

    """
    with open(file_path, 'r') as file:
        text = file.read()
        for character in characters_remove:
            text = text.replace(character, ' ')
        text = text.split(" ")
    return text