from scipy.signal import savgol_filter #importation de la fonction de filtrage

def lissage(tab, N = 3):
    """
    

    Parameters
    ----------
    tab : TYPE list
        Input list which we are going to use least squares method on.
    N : TYPE int, optional
        Interpolation polynomial's degree for the least squares method. 
        The default is 3
        
    Returns
    -------
    TYPE list
        Output list with a curve of the degree N.

    """
    return savgol_filter(tab, len(tab)//2, N)