import cv2 as cv


def seuillage(img):
    """
    

    Parameters
    ----------
    img : TYPE array
        Input image to threshold.

    Returns
    -------
    imgbin : TYPE array
        Output thresholded image.

    """
    thresh,imgbin=cv.threshold(img,0,255,cv.THRESH_OTSU)
    return imgbin
   

def seuillage_RGB(img):
    """
    

    Parameters
    ----------
    img : TYPE array
        Input image to threshold.

    Returns
    -------
    imgbin : TYPE array
        Output thresholded image.

    """
    b, g, r = cv.split(img)
    thresh,img_r=cv.threshold(r,0,255,cv.THRESH_OTSU)
    thresh,img_g=cv.threshold(g,0,255,cv.THRESH_OTSU)
    thresh,img_b=cv.threshold(b,0,255,cv.THRESH_OTSU)
    img_f = cv.merge([img_b, img_g, img_r])
    return img_f
