
import math
   
def taille_objet(pos1, pos2):
    """
    

    Parameters
    ----------
    pos1 : TYPE list
        List of [abscissa, ordinate] of the first pixel's position.
    pos2 : TYPE list
        List of [abscissa, ordinate] of the second pixel's position.

    Returns
    -------
    TYPE float
        Euclidian distance in 2D between the two points/pixels.

    """
    global scale
    x1, y1 = pos1
    x2, y2 = pos2
    dx = x2 - x1
    dy = y2 - y1
    dist = math.sqrt(dx**2 + dy**2)
    return dist*scale